
QGIS Application - Bug report #6412

gdalbuildvrt doesn't recognize chinese directory path

2012-09-26 01:58 AM - maning sambale

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:1.8.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15664

Description

Building a vrt from an input directory containing Chinese characters cannot complete.  It returns an error that the directories are not

available

History

#1 - 2012-09-26 02:02 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

- Target version set to Version 2.0.0

#2 - 2012-10-01 04:26 PM - Giuseppe Sucameli

- Status changed from Open to Feedback

I need more info to reproduce the problem, namely used dir and file names, QGis version, OS you're on.

I tested it creating directories and files with random Chinese characters (from Wikipedia).

The input dir name was /home/brushtyler/tes語t, which contains 2 files: 25吴吳0020.tif and 2500方10.tif.

The output vrt file was /home/brushtyler/tes語t/ou客家t.vrt

The tools ends with success and created the expected result.

#3 - 2012-10-29 08:56 PM - maning sambale

I tested using QGIS 1.8 in MacOSX and it I get the same result as yours.  The person who encountered this problem was using windows, unfortunately, I

don't have access to the person's machine anymore (or any windows at the moment).

Please close if no other reports of this case was submitted.

#4 - 2012-12-31 01:23 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#5 - 2013-09-22 03:54 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme
closing as requested by submitter.

#6 - 2014-06-29 10:13 AM - Jürgen Fischer

- Assignee deleted (anonymous -)
